body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #121212;
  color: white;
}

header {
  display: flex;
  justify-content: center;
  padding: 20px;
  background: #1DB954;
}

input {
  padding: 10px;
  width: 300px;
  border: none;
  border-radius: 5px;
}

button {
  padding: 10px 15px;
  margin-left: 10px;
  border: none;
  background: black;
  color: white;
  cursor: pointer;
  border-radius: 5px;
}


#results {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 20px;
  padding: 20px;

  overflow: visible;
}


.card {
  background: #181818;
  padding: 10px;
  border-radius: 10px;
  text-align: center;

  overflow: visible;
  will-change: transform;
}

.card img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
}

.card:hover {
  transform: scale(1.05);
  transition: 0.3s;
}
